import { defineConfig, presetIcons,presetUno  } from "unocss";
// import presetWind from "@unocss/preset-wind";
import { presetScrollbarHide } from 'unocss-preset-scrollbar-hide'
// import { presetPxToViewport } from "unocss-preset-px-to-vw-or-vh";

export default defineConfig({
  presets: [
    // presetPxToViewport({
    //   // 可选：自定义设计尺寸（默认为 1920x1080）
    //   designWidth: 1920,
    //   designHeight: 1080,
    //   keyToVw: ["font-size"],
    // }),
    presetUno(),
    // presetWind(),
    presetScrollbarHide(),
    presetIcons({
      scale: 1,
      warn: true,
      extraProperties: {
        display: "inline-block",
        "vertical-align": "middle",
      },
    }),
  ],
  rules: [["pb-safe", { "padding-bottom": "calc(env(safe-area-inset-bottom) + 52rpx)" }]],
});
